Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.gef.finder.widgets
Class SWTBotGefConnectionEditPart

    java.lang.Object
      org.eclipse.swtbot.eclipse.gef.finder.widgets.SWTBotGefEditPart
          org.eclipse.swtbot.eclipse.gef.finder.widgets.SWTBotGefConnectionEditPart

    public class SWTBotGefConnectionEditPart

extends SWTBotGefEditPart

represent a connection edit part of a graphical viewer.

Author:
  David Green
See Also:
  `SWTBotGefEditPart`, `SWTBotGefEditor`

Field Summary

Fields inherited from class org.eclipse.swtbot.eclipse.gef.finder.widgets.SWTBotGefEditPart
`part, viewer`

Method Summary
`void` | `createBenpoint(int toXPosition, int toYPosition)` Create a new bendpoint for this connection to the given location,
`org.eclipse.gef.ConnectionEditPart` | `part()` get the underlying wrapped `EditPart` instance
`SWTBotGefEditPart` | `source()`
`SWTBotGefEditPart` | `target()`

Methods inherited from class org.eclipse.swtbot.eclipse.gef.finder.widgets.SWTBotGefEditPart
`activateDirectEdit, activateDirectEdit, children, click, click, descendants, doubleClick, focus, parent, resize, select, sourceConnections, targetConnections, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createBenpoint

    public void createBenpoint(int toXPosition,
                               int toYPosition)

  Create a new bendpoint for this connection to the given location,

  Parameters:
    `toXPosition` - x position of the bendpoint location
    `toYPosition` - y position for the bendpoint location

### part

    public org.eclipse.gef.ConnectionEditPart part()

  Description copied from class: `SWTBotGefEditPart`
  get the underlying wrapped `EditPart` instance

  Overrides:
    `part` in class `SWTBotGefEditPart`
  Returns:
    the wrapped `EditPart`.

### source

    public SWTBotGefEditPart source()

### target

    public SWTBotGefEditPart target()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD